/***************************************************************************
                          MainDialog.h  -  description
                             -------------------
    begin                : Sat May 5 2001
    copyright            : (C) 2001 by Alexy Podolsky
    email                :  alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAINDIALOG_H
#define MAINDIALOG_H

#include <kconfig.h>

#include "MainDialogBase.h"

class MainDialog : public MainDialogBase
{
  Q_OBJECT

public:
    MainDialog( QWidget* parent = 0, const char* name = 0,
                    bool modal = TRUE, WFlags f = 0 );
	~MainDialog();
	int popUp();
	
protected slots:
   virtual void cancelSlot();
    virtual void configureSlot();
    virtual void copyCdSlot();
    virtual void eraseCdSlot();
    virtual void exitSlot();
    virtual void musicSlot();
    virtual void newCdSlot();
private:
	void notImpl();
	void saveOptions();
	
	int type;
	KConfig *config;
};
#endif
